
<div class="mb-1 d-flex justify-content-end">
  <button class="btn btn-outline-primary me-3" routerLink="/notas"><i class="bi bi-arrow-left-circle"></i> Volver</button>
</div>

<h3 class="font-medium mb-3">Crear nota</h3>

<div class="row">
    <div class="col-lg-12">

      <form
      *ngIf="!isSuccessful"
      name="form"
      (ngSubmit)="f.form.valid && onSubmit()"
      #f="ngForm"
      novalidate
    >


    
    <div *ngIf="listaPacientes is not null"> 


    <p>
      <label for="" style="display: none;">Paciente</label>

         <select   class="form-control" name="idPaciente"  [(ngModel)]="form.idPaciente"
         style="background-color: #fff;width: 250px;" >
          <option value="null">Notas para mí</option>
          <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
            {{ paciente.nombre }} {{ paciente.apellido }}
          </option>
        </select>
   </p>

  </div>

        <div class="card w-100">
            <div class="card-body border-top post">
        


     <p style="display: none;">
 
      <select    class="form-control"
      name="prioridad" [(ngModel)]="form.prioridad"    #prioridad="ngModel" required >
       <option *ngFor="let prioridad of prioridades" [ngValue]="prioridad.value">
         {{ prioridad.value }}
       </option>
     </select>



</p>


        <input
        type="text"
        class="form-control"
        name="titulo"
        [(ngModel)]="form.titulo"
        required
        minlength="3"
        maxlength="100"
        #titulo="ngModel"
        placeholder="Nota:"
        autocomplete="off"

        style="
    margin-top: 3em;
    padding-left: 21px;
"
      />



   

   
         <textarea
        type="text"
        class="form-control"
        name="descripcion"
        [(ngModel)]="form.descripcion"
        required
        minlength="3"
        maxlength="200"
        #descripcion="ngModel"
        placeholder="__________________________________________________________________________________________"

      ></textarea>



      
      <div class="alert-danger" *ngIf="titulo.errors && f.submitted">
        <div *ngIf="titulo.errors['required']">El título es requerido</div>
        <div *ngIf="titulo.errors['minlength']">
          El título debe tener al menos 3 caracteres
        </div>
        <div *ngIf="titulo.errors['maxlength']">
          El título puede tener hasta 20 caracteres
        </div>
      </div>
 
      <div class="alert-danger" *ngIf="descripcion.errors && f.submitted">
        <div *ngIf="descripcion.errors['required']">La descripción es requerida</div>
        <div *ngIf="descripcion.errors['minlength']">
          La descripción debe tener al menos 3 caracteres
        </div>
        <div *ngIf="descripcion.errors['maxlength']">
            La descripción puede tener hasta 20 caracteres
        </div>
      </div>



      



    <p style="display: none;">
        <label for="">Foto</label>
        <input type="file" name="" class="form-control" placeholder="">
    </p>





     
</div>
</div>


 <div class="d-flex justify-content-between">
  <button class="btn btn-primary btn-block">Crear</button>
</div>



<div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
  Error:{{ errorMessage }}
  </div>


  <div class="alert alert-success" *ngIf="isSuccessful">
    ¡Registro exitoso!
    Se envió un mail al correo ingresado para verificar el registro.
  </div>

</form>


      </div>
    </div>

    
